package org.yasrun.tools;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class SettingUtil {
    public static int intTryParse(String value, int alternative) {
        int result = 0;

        try {
            result = Integer.parseInt(value);
        } catch (NumberFormatException e) {
            result = alternative;
        }

        return result;
    }

    public static String getSetting(ResourceBundle bundle, String key, String alternative) {
        String result = "";

        try {
            result = bundle.getString(key);

        } catch (MissingResourceException e) {
            result = alternative;
        }

        return result;

    }
}
