package org.yasrun.tools;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.ResourceBundle;

public class Settings {
    public static final String DEFAULT_OUTPUT_DIR_PATH = "C:\\Temp\\UnitTestDoc\\";

    public static final String DEFAULT_TEMPLATE_PATH = "C:\\Temp\\UnitTestTemplate.xls";

    public static final String DEFAULT_DATE_FORMAT = "yyyy/MM/dd";

    public static final String DEFAULT_SHEET_NAME = "Sheet1";

    public static final int DEFAULT_START_ROW = 4;

    public static int DEFAULT_TITLE_ROW = 0;

    public static int DEFAULT_TITLE_COLUMN = 1;

    public static int DEFAULT_COUNT_ROW = 1;

    public static int DEFAULT_COUNT_COLUMN = 1;

    public static String outputDirPath = null;

    public static String templatePath = null;

    public static String dateString = null;

    public static String dateFormat = null;

    public static String targetSheetName = null;

    public static int startRow = 0;

    public static int titleRow = 0;

    public static int titleColumn = 0;

    public static int countRow = 0;

    public static int countColumn = 0;

    public static boolean getSettings() {
        final ResourceBundle bundle = ResourceBundle.getBundle("application");

        outputDirPath = SettingUtil.getSetting(bundle, "output.dir=", DEFAULT_OUTPUT_DIR_PATH);
        templatePath = SettingUtil.getSetting(bundle, "template.path", DEFAULT_TEMPLATE_PATH);
        dateFormat = SettingUtil.getSetting(bundle, "format.date", DEFAULT_DATE_FORMAT);
        targetSheetName = SettingUtil.getSetting(bundle, "target.sheet", DEFAULT_SHEET_NAME);
        startRow = SettingUtil.intTryParse(SettingUtil.getSetting(bundle, "start.row", null), DEFAULT_START_ROW);
        titleRow = SettingUtil.intTryParse(SettingUtil.getSetting(bundle, "title.row", null), DEFAULT_TITLE_ROW);
        titleColumn = SettingUtil.intTryParse(SettingUtil.getSetting(bundle, "title.column", null), DEFAULT_TITLE_COLUMN);
        countRow = SettingUtil.intTryParse(SettingUtil.getSetting(bundle, "count.row", null), DEFAULT_COUNT_ROW);
        countColumn = SettingUtil.intTryParse(SettingUtil.getSetting(bundle, "count.column", null), DEFAULT_COUNT_COLUMN);

        return true;
    }

    public static String getDateString() {
        if (dateString == null) {
            dateString = new SimpleDateFormat(dateFormat).format(new Date());
        }
        return dateString;
    }
}
